"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_1 = require("../base");
var angular2TextMask_1 = require("angular2-text-mask/dist/angular2TextMask");
var DatepickerComponent = /** @class */ (function (_super) {
    __extends(DatepickerComponent, _super);
    function DatepickerComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DatepickerComponent.prototype.ngOnInit = function () {
        _super.prototype.ngOnInit.call(this);
        if (typeof this.data.model[this.data.field.name] === 'string') {
            if (this.data.model[this.data.field.name] == '' || this.data.model[this.data.field.name] == 'undefined') {
                this.data.model[this.data.field.name] = null;
            }
            else {
                this.data.model[this.data.field.name] = new Date(this.data.model[this.data.field.name]);
            }
        }
    };
    DatepickerComponent.prototype.dataChanged = function (newObj) {
        var _this = this;
        setInterval(function () {
            var mask = [/\d/, /\d/, '/', /\d/, /\d/, '/', /\d/, /\d/, /\d/, /\d/];
            //here comes the object as parameter
            var result = angular2TextMask_1.conformToMask(_this.input.element.nativeElement.value, mask, {});
            _this.input.element.nativeElement.value = result.conformedValue;
        }, 5000);
    };
    DatepickerComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gc-form-element-datepicker',
                    template: "\n        <mat-form-field>\n            <input matInput #input\n               (change)=\"onChange($event)\"\n               [(ngModel)]=\"value\"\n               [formControl]=\"data.formControl\"\n               [matDatepicker]=\"picker\"\n               [placeholder]=\"data.field.placeholder\"\n            >\n            <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\n            <mat-datepicker #picker></mat-datepicker>\n        </mat-form-field>\n    "
                },] },
    ];
    /** @nocollapse */
    DatepickerComponent.ctorParameters = function () { return []; };
    DatepickerComponent.propDecorators = {
        'input': [{ type: core_1.ViewChild, args: ["input", { read: core_1.ViewContainerRef },] },],
    };
    return DatepickerComponent;
}(base_1.BaseElement));
exports.DatepickerComponent = DatepickerComponent;
//# sourceMappingURL=datepicker.component.js.map