"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_1 = require("../base");
var DatetimeComponent = /** @class */ (function (_super) {
    __extends(DatetimeComponent, _super);
    function DatetimeComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DatetimeComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gc-form-element-datetime',
                    template: "\n        <mat-form-field class=\"w-100\">\n            <input \n                matInput\n                (change)=\"onChange($event)\"\n                [(ngModel)]=\"value\" \n                [MdDatetimepicker]=\"picker\" \n                [placeholder]=\"data.field.placeholder\"\n            >\n            <button matSuffix [mdDatetimepickerToggle]=\"picker\" [hideTime]=\"false\"></button>\n        </mat-form-field>\n        <md-datetimepicker #picker [hideTime]=\"false\"></md-datetimepicker>\n    "
                },] },
    ];
    /** @nocollapse */
    DatetimeComponent.ctorParameters = function () { return []; };
    return DatetimeComponent;
}(base_1.BaseElement));
exports.DatetimeComponent = DatetimeComponent;
//# sourceMappingURL=datetime.component.js.map