"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_1 = require("../base");
var RadioComponent = /** @class */ (function (_super) {
    __extends(RadioComponent, _super);
    function RadioComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RadioComponent.prototype.ngOnInit = function () {
        _super.prototype.ngOnInit.call(this);
        this.options = this.data.field.options || [];
    };
    RadioComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gc-form-element-radio',
                    template: "\n        <mat-radio-group \n            [(ngModel)]=\"value\" \n            [formControl]=\"data.formControl\"\n        >\n            <mat-radio-button \n                *ngFor=\"let option of options\" [value]=\"option.value\" ngStyle=\"{'margin-right': '20px'}\"\n            >{{ (option.label || option.text) }}</mat-radio-button>\n        </mat-radio-group>\n    "
                },] },
    ];
    /** @nocollapse */
    RadioComponent.ctorParameters = function () { return []; };
    return RadioComponent;
}(base_1.BaseElement));
exports.RadioComponent = RadioComponent;
//# sourceMappingURL=radio.component.js.map