"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_1 = require("../base");
var TextareaComponent = /** @class */ (function (_super) {
    __extends(TextareaComponent, _super);
    function TextareaComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TextareaComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gc-form-element-textarea',
                    template: "\n        <mat-form-field>\n            <textarea matInput\n                      (blur)=\"onBlur($event)\"\n                      (change)=\"onChange($event)\"\n                      (keyup)=\"onKeyUp($event)\"\n                      (keypress)=\"onKeyPress($event)\"\n                      [(ngModel)]=\"value\"\n                      [formControl]=\"data.formControl\"\n                      [placeholder]=\"data.field.placeholder\">\n            </textarea>\n            <mat-error>\n                <gc-form-element-error [data]=\"data\"></gc-form-element-error>\n            </mat-error>\n        </mat-form-field>\n    "
                },] },
    ];
    /** @nocollapse */
    TextareaComponent.ctorParameters = function () { return []; };
    return TextareaComponent;
}(base_1.BaseElement));
exports.TextareaComponent = TextareaComponent;
//# sourceMappingURL=textarea.component.js.map