import { EventEmitter, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { DialogService } from "../../../../services";
import { UploaderService } from "./uploader.service";
export declare class UploaderItemComponent implements OnInit, OnDestroy {
    private dialogService;
    private cd;
    _showDownloadButton: boolean;
    private _isUploading;
    private _error;
    private _mimeTypes;
    private _validator;
    private _intervalCheckChanges;
    fileInfo: any;
    private preview;
    private fileName;
    private fileSize;
    private fileSentDate;
    item: any;
    selectable: boolean;
    download: boolean;
    removable: boolean;
    viewMode: string;
    draggable: boolean;
    validators: any;
    urlParams: any;
    deleteMode: string;
    uploaderService: UploaderService;
    onClick: EventEmitter<any>;
    onDestroy: EventEmitter<any>;
    onFailUpload: EventEmitter<any>;
    onSuccessfullyUpload: EventEmitter<any>;
    isUploading: boolean;
    error: any;
    constructor(dialogService: DialogService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    isUploaded(): boolean;
    bytesToSize(bytes: number): string;
    getFileInfo(): any;
    ngAfterViewInit(): void;
    click(): void;
    upload(): void;
    showError($event?: any): void;
    remove(event?: MouseEvent): void;
}
