"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var http_1 = require("@angular/http");
var route_directive_1 = require("./directives/route.directive");
var forms_1 = require("@angular/forms");
var md2_1 = require("md2");
var services_1 = require("./services");
var material_components_module_1 = require("./components/material-components.module");
var loading_overlay_component_1 = require("./components/loading-overlay/loading-overlay.component");
var http_service_1 = require("./services/http.service");
var md2_datetimepicker_1 = require("md2-datetimepicker");
require("hammerjs");
var GcPackageModule = /** @class */ (function () {
    function GcPackageModule() {
    }
    GcPackageModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.FormsModule,
                        material_components_module_1.MaterialComponentsModule,
                        md2_1.NoConflictStyleCompatibilityMode,
                        md2_datetimepicker_1.MdDatetimepickerModule,
                        md2_1.Md2Module,
                        http_1.HttpModule
                    ],
                    declarations: [
                        route_directive_1.RouteDirective,
                        loading_overlay_component_1.LoadingOverlayComponent
                    ],
                    exports: [
                        forms_1.FormsModule,
                        route_directive_1.RouteDirective,
                        loading_overlay_component_1.LoadingOverlayComponent,
                        material_components_module_1.MaterialComponentsModule,
                        md2_datetimepicker_1.MdDatetimepickerModule,
                        http_1.HttpModule
                    ],
                    providers: [
                        http_service_1.HttpService,
                        services_1.DialogService
                    ]
                },] },
    ];
    /** @nocollapse */
    GcPackageModule.ctorParameters = function () { return []; };
    return GcPackageModule;
}());
exports.GcPackageModule = GcPackageModule;
//# sourceMappingURL=gc-package.module.js.map