import { EventEmitter } from '@angular/core';
import { Model } from '../model';
import { GcOption, GcOptions } from './option.model';
import { GcAttributeCollection } from "../../collections/index";
import { Element } from "../../components/form-element/form-element.component";
export declare class GcAttribute extends Model {
    protected static __collection: typeof GcAttributeCollection;
    static __nextId: number;
    id: number;
    code: string;
    label: string;
    frontend_type: any;
    backend_type: any;
    validators: string;
    options: GcOptions;
    configs: any;
    __fakeId: string;
    readonly fakeId: any;
    selectionChange: EventEmitter<any>;
    constructor(data?: any);
    getOptionsClass(): any;
    setOptionsAttribute(options: any): void;
    getConfig(): any;
    getValidators(): Array<String>;
    hasValidator(name: string): boolean;
    addOption(option: GcOption): GcAttribute;
    removeOption(option: GcOption): void;
    addSelection(option: GcOption): void;
    removeSelection(index: number): void;
    clearSelection(): void;
    getSelection(): Array<GcOption>;
    all(): Array<any>;
    getOptionsAvailable(): Array<GcOption>;
    getProductOptions(product: any): GcOption | null;
    setSelectionByProduct(product: any): void;
    readonly toFormElement: Element;
}
