import { Collection } from "../collections/collection";
import { FormControl } from "@angular/forms";
export declare class Model {
    [key: string]: any;
    protected __primaryKey: string;
    protected __formControls: any;
    protected static __resource: string;
    protected static __collection: typeof Collection;
    constructor(data?: any);
    camelize(str: string): string;
    static newCollection(items: Model[]): Collection<Model>;
    static resource: string;
    getPrimaryKey(): string;
    getId(): any;
    getKeyName(): string;
    getKey(): any;
    setFormControl(name: string, control: FormControl): void;
    getFormControl(name: string): FormControl | null;
    get(name: PropertyKey): any;
    set(name: PropertyKey, value: any): Model;
    attr(name: PropertyKey, value?: any): any;
    fill(data: any): void;
    only(...keys: any[]): any;
    all(): any;
    hasMutator(attribute: PropertyKey): boolean;
    hasAccessor(attribute: PropertyKey): boolean;
    mutate(attribute: PropertyKey, value: any): Model;
    retrieve(attribute: PropertyKey): any;
}
