import { RequestOptionsArgs } from '@angular/http';
import { HttpService } from '../services';
import 'rxjs/add/operator/toPromise';
export interface Login {
    [key: string]: any;
    email: string;
    password: string;
}
export interface Register {
    [key: string]: any;
    username: string;
    name: string;
    email: string;
    password: string;
    password_confirmation: string;
}
export declare class AuthService {
    protected http: HttpService;
    constructor(http: HttpService);
    getUrlLogin(): string;
    getUrlRegister(): string;
    getUrlUserData(): string;
    create(data: Register, options?: RequestOptionsArgs, args?: any): Promise<any>;
    login(data: Login, options?: RequestOptionsArgs, args?: any): Promise<any>;
    getUser(options?: RequestOptionsArgs, args?: any): Promise<any>;
}
