"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ng2_toasty_1 = require("ng2-toasty");
var MessageService = /** @class */ (function () {
    // http://akserg.github.io/ng2-webpack-demo/#/toasty
    function MessageService(toastyService, toastyConfig) {
        this.toastyService = toastyService;
        this.toastyConfig = toastyConfig;
        this.toastyConfig.theme = 'default';
        this.toastyConfig.position = "top-center";
        this.toastyConfig.showClose = true;
        //this.toastyConfig.timeout = 2000;
    }
    MessageService.prototype.ngOnInit = function () {
    };
    MessageService.prototype.default = function (options) {
        this.toastyService.default(options);
    };
    MessageService.prototype.success = function (options) {
        this.toastyService.success(options);
    };
    MessageService.prototype.info = function (options) {
        this.toastyService.info(options);
    };
    MessageService.prototype.warning = function (options) {
        this.toastyService.warning(options);
    };
    MessageService.prototype.error = function (options) {
        this.toastyService.error(options);
    };
    MessageService.prototype.wait = function (options) {
        this.toastyService.wait(options);
    };
    MessageService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    MessageService.ctorParameters = function () { return [
        { type: ng2_toasty_1.ToastyService, },
        { type: ng2_toasty_1.ToastyConfig, },
    ]; };
    return MessageService;
}());
exports.MessageService = MessageService;
//# sourceMappingURL=message.service.js.map