import { Http, Headers, RequestOptionsArgs } from '@angular/http';
import { Model } from '../models';
import { HttpService } from "../services";
import 'rxjs/add/operator/map';
export interface RestfulArgs {
    [key: string]: any;
    urlParams: any;
    apiUrl: string;
}
export declare class RestfulService {
    protected httpService: HttpService;
    protected model: any;
    protected _apiUrl: string;
    constructor(httpService: HttpService);
    mapToCollection(list: any): any;
    mapModel(data: any): Model;
    getUrl(id?: string | number | null, params?: any): string;
    readonly http: Http;
    getHeaders(): Headers;
    apiUrl: string;
    mergeArgs(args: any): void;
    find(options?: RequestOptionsArgs, args?: any): Promise<any>;
    findById(id: number, options?: RequestOptionsArgs, args?: any): Promise<any>;
    create(data: any, options?: RequestOptionsArgs, args?: any): Promise<any>;
    update(model: any, data?: any, options?: RequestOptionsArgs, args?: any): Promise<any>;
    delete(model: any, options?: RequestOptionsArgs, args?: any): Promise<any>;
}
