import { EventEmitter } from '@angular/core';
import { Routes, ActivatedRoute, Router } from '@angular/router';
export declare function parseRoutes(objRoutes: any): Routes;
export declare class RouteService {
    private router;
    private activatedRoute;
    changeParams: EventEmitter<any>;
    constructor(router: Router, activatedRoute: ActivatedRoute);
    loadParams(activatedRoute: ActivatedRoute): any;
    getParam(name: string): any;
    getParams(): any;
    getUrl(args: string | Array<any>): any;
    navigate(args: string | Array<any>): void;
    navigateByUrl(url: string): void;
    static loadRoutes(objRoutes: any): Routes;
    private static transformRoutes(arrRoutes);
    static addRoutes(arrRoutes: any): void;
}
