import { Observable } from "rxjs";
export declare class Collection<T> {
    protected items: Array<T>;
    protected changed: boolean;
    constructor(items?: Array<T>);
    size(): number;
    add(value: T): void;
    remove(index: any): void;
    where(func: any): Array<number>;
    removeWhere(field: string, value: any): void;
    readonly data: this;
    get(index: number): T;
    setItems(items: Array<T>): void;
    getItems(): Array<T>;
    getItemsObservable(interval?: number): Observable<any>;
    toArray(): Array<any>;
}
