import { BaseElement } from '../base';
export interface CKeditorConfig {
    [key: string]: any;
    skin?: string;
    uiColor?: string;
    toolbar?: Array<any>;
    toolbarGroups?: Array<any>;
    removeButtons?: string;
    language?: string;
    onChange?: ($event: any) => void;
    onReady?: ($event: any) => void;
    onFocus?: ($event: any) => void;
    onBlur?: ($event: any) => void;
}
export declare class CkeditorComponent extends BaseElement {
    config: CKeditorConfig;
    parseData(): void;
    onChange($event: any): void;
    onReady($event: any): void;
    onFocus($event: any): void;
    onBlur($event: any): void;
}
