import { OnInit } from '@angular/core';
import { MatDialog } from "@angular/material";
import { GcAttribute, GcOption } from '../../../../models/index';
import { Observable } from "rxjs";
import { BaseElement } from '../base';
import { FormElementControlService } from '../../form-element-control.service';
import { MasksService } from '../../masks.service';
import { ValidatorsService } from '../../validators.service';
import { ListService } from './list.service';
export declare class BaseList extends BaseElement implements OnInit {
    protected dialog: MatDialog;
    protected controlService: FormElementControlService;
    protected listService: ListService;
    protected validatorsService: ValidatorsService;
    protected masksService: MasksService;
    protected _config: any;
    options: Array<GcOption>;
    config: any;
    constructor(dialog: MatDialog, controlService: FormElementControlService, listService: ListService, validatorsService: ValidatorsService, masksService: MasksService);
    ngOnInit(): void;
    parseData(): void;
    getAttribute(): GcAttribute;
    readonly selected: Array<GcOption>;
    protected filterOptions(): void;
    protected isSelected(tag: any): boolean;
    protected getOption(tag: any, all?: boolean): GcOption | null;
    protected newOption(tag: any): GcOption;
    setSelection(option: any): void;
    onAdd(option: any): void;
    onAdding(): (tag: any) => Observable<GcOption | null>;
    onRemoving(): (tag: any) => Observable<GcOption | null>;
}
