import { ChangeDetectorRef } from '@angular/core';
import { MatDialog } from "@angular/material";
import { Observable } from "rxjs";
import { BaseList } from "../base-list";
import { GcOption } from '../../../../../models';
import { DialogService } from '../../../../../services';
import { FormElementControlService } from '../../../form-element-control.service';
import { ListService } from '../list.service';
import { ValidatorsService } from '../../../validators.service';
import { MasksService } from '../../../masks.service';
export declare class ListColorComponent extends BaseList {
    protected dialog: MatDialog;
    private cd;
    private dialogService;
    protected controlService: FormElementControlService;
    protected listService: ListService;
    protected validatorsService: ValidatorsService;
    protected masksService: MasksService;
    constructor(dialog: MatDialog, cd: ChangeDetectorRef, dialogService: DialogService, controlService: FormElementControlService, listService: ListService, validatorsService: ValidatorsService, masksService: MasksService);
    onAdding(): (tag: any) => Observable<GcOption>;
}
