"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var base_list_1 = require("../base-list");
var ListComponent = /** @class */ (function (_super) {
    __extends(ListComponent, _super);
    function ListComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ListComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'gc-list',
                    template: "\n        <tag-input\n            [ngModel]=\"selected\"\n            [maxItems]=\"config.maxItems\"\n            [identifyBy]=\"'id'\"\n            [displayBy]=\"'label'\"\n            (onAdd)=\"onAdd($event)\"\n            [onAdding]=\"onAdding()\"\n            [onRemoving]=\"onRemoving()\"\n            [addOnBlur]=\"config.addOnBlur\"\n            [validators]=\"config.validators\"\n            #input>\n\n            <tag-input-dropdown\n                    [autocompleteItems]=\"options\"\n                    [showDropdownIfEmpty]=\"true\"\n                    [displayBy]=\"'label'\"\n                    [identifyBy]=\"'id'\"\n                    [appendToBody]=\"config.appendToBody\"\n                    [keepOpen]=\"config.keepOpen\"\n                    [focusFirstElement]=\"config.focusFirstElement\">\n\n                <ng-template let-item=\"item\" let-index=\"index\">\n                    <span style=\"margin-left: 10px;\">{{ item.label }}</span>\n                </ng-template>\n\n            </tag-input-dropdown>\n        </tag-input>\n    ",
                    styles: ["\n        .color-into-tag{\n          width: 20px;\n          height: 20px;\n          position: absolute;\n          top: calc(50% - 10px);\n\n          div{\n            position: absolute;\n            width: 50%;\n            height: 50%;\n          }\n\n          div:nth-child(1){\n            top: 0;\n            left: 0;\n            border-top-left-radius: 100%;\n          }\n          div:nth-child(2){\n            top: 0;\n            right: 0;\n            border-top-right-radius: 100%;\n          }\n          div:nth-child(3){\n            bottom: 0;\n            left: 0;\n            border-bottom-left-radius: 100%;\n          }\n          div:nth-child(4){\n            bottom: 0;\n            right: 0;\n            border-bottom-right-radius: 100%;\n          }\n\n        }\n\n        .color-into-tag2{\n          width: 20px;\n          height: 20px;\n          border-radius: 50%;\n          background-color: black;\n          display: inline-block;\n          margin-top: 10px;\n        }\n    "],
                    providers: []
                },] },
    ];
    /** @nocollapse */
    ListComponent.ctorParameters = function () { return []; };
    return ListComponent;
}(base_list_1.BaseList));
exports.ListComponent = ListComponent;
//# sourceMappingURL=list.component.js.map