export declare class Mimetypes {
    [key: string]: any;
    previews: any;
    constructor();
    image(): Array<string>;
    video(): Array<string>;
    audio(): Array<string>;
    doc(): Array<string>;
    pdf(): Array<string>;
    ppt(): Array<string>;
    txt(): Array<string>;
    xls(): Array<string>;
    zip(): Array<string>;
    isMedia(file: File): boolean;
    isImage(file: File): boolean;
    isVideo(file: File): boolean;
    isAudio(file: File): boolean;
    isDoc(file: File): boolean;
    isPdf(file: File): boolean;
    isPpt(file: File): boolean;
    isTxt(file: File): boolean;
    isXls(file: File): boolean;
    isZip(file: File): boolean;
    loadPreview(file: File, fn: (e: any) => void): void;
    setPreviewImage(file: File | any, node: HTMLElement): void;
    getMimeTypes(...types: Array<string>): string;
}
