import { Headers, RequestOptionsArgs } from '@angular/http';
import { HttpService } from '../../../../services/http.service';
export declare class UploaderService {
    protected httpService: HttpService;
    protected headers: Headers;
    constructor(httpService: HttpService);
    getRoute(params: any): string;
    getDeleteRoute(file: any, params: any): string;
    getHeaders(): Headers;
    getFieldName(): string;
    getRequestOptionsArgs(): RequestOptionsArgs;
    getArgs(): any;
    upload(file: any, urlParams: any): Promise<any>;
    remove(file: any, urlParams: any): Promise<any>;
}
