"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var LoadingOverlayComponent = /** @class */ (function () {
    function LoadingOverlayComponent() {
    }
    LoadingOverlayComponent.prototype.ngOnInit = function () {
    };
    LoadingOverlayComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ms-loading-overlay',
                    template: "\n        <div class=\"loading-overlay\" [class.show]=\"isLoading\">\n            <mat-progress-bar mode=\"indeterminate\"></mat-progress-bar>\n        </div>\n    ",
                    styles: [
                        "\n        .loading-overlay {\n            background-color: rgba(255, 255, 255, 0.7);\n            position: absolute;\n            top: 0;\n            left: 0;\n            width: 100%;\n            height: 100%;\n            z-index: 10;\n            transition: all .25s ease-in-out;\n            opacity: 0;\n            visibility: hidden;\n        }\n        \n        .loading-overlay.show {\n             opacity: 1;\n             visibility: visible;\n        }\n\n    "
                    ]
                },] },
    ];
    /** @nocollapse */
    LoadingOverlayComponent.ctorParameters = function () { return []; };
    LoadingOverlayComponent.propDecorators = {
        'isLoading': [{ type: core_1.Input, args: ['isLoading',] },],
    };
    return LoadingOverlayComponent;
}());
exports.LoadingOverlayComponent = LoadingOverlayComponent;
//# sourceMappingURL=loading-overlay.component.js.map