"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var model_1 = require("../model");
var index_1 = require("../../collections/index");
var attribute_model_1 = require("./attribute.model");
var GcGroup = /** @class */ (function (_super) {
    __extends(GcGroup, _super);
    function GcGroup() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.__GcAttributeInstance = attribute_model_1.GcAttribute;
        _this.__GcAttributeCollectionInstance = index_1.GcAttributeCollection;
        return _this;
    }
    GcGroup.prototype.setAttrsAttribute = function (attrs) {
        var values = attrs instanceof index_1.GcAttributeCollection ? attrs.getItems() : attrs;
        values = (values || []).map(function (value) {
            return value instanceof attribute_model_1.GcAttribute ? value : new attribute_model_1.GcAttribute(value);
        });
        this.attrs = new index_1.GcAttributeCollection(values);
    };
    GcGroup.__collection = index_1.GcGroupCollection;
    GcGroup.__resource = 'attributes-groups';
    return GcGroup;
}(model_1.Model));
exports.GcGroup = GcGroup;
//# sourceMappingURL=group.model.js.map